%define upstream_name    AnyEvent-AIO
%define upstream_version 1.1

%global __requires_exclude Exporter

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 12

Summary:    Truly asynchronous file and directory I/O
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/AnyEvent/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(AnyEvent)
BuildRequires: perl(IO::AIO)
BuildRequires: perl-devel

BuildArch: noarch


%description
This module is an AnyEvent user, you need to make sure that you
use and run a supported event loop.

Loading this module will install the necessary magic to seamlessly
integrate IO::AIO into AnyEvent, i.e. you no longer
need to concern yourself with calling 'IO::AIO::poll_cb' or any of that
stuff (you still can, but this module will do it in case you don't).

The AnyEvent watcher can be disabled by executing 'undef
$AnyEvent::AIO::WATCHER'. Please notify the author of when and why you
think this was necessary.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc README Changes META.yml
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Sun Mar 20 2022 umeabot <umeabot> 1.100.0-12.mga9
+ Revision: 1808231
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.100.0-11.mga8
+ Revision: 1503446
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 1.100.0-10.mga7
+ Revision: 1281581
- Mageia 7 Mass Rebuild

* Mon Oct 02 2017 tv <tv> 1.100.0-9.mga7
+ Revision: 1162835
- rebuild with fixed rpm for missing autodeps

* Sat Jun 18 2016 pterjan <pterjan> 1.100.0-8.mga6
+ Revision: 1022501
- Rebuild for perl 5.22.2

* Sat Feb 20 2016 umeabot <umeabot> 1.100.0-7.mga6
+ Revision: 971871
- Mageia 6 Mass Rebuild

* Sat Oct 18 2014 umeabot <umeabot> 1.100.0-6.mga6
+ Revision: 788240
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 1.100.0-5.mga5
+ Revision: 744643
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.100.0-4.mga5
+ Revision: 683476
- Mageia 5 Mass Rebuild
+ tv <tv>
- use %%global for req/prov exclude
- autoconvert to new prov/req excludes

* Fri Oct 18 2013 umeabot <umeabot> 1.100.0-3.mga4
+ Revision: 509112
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.100.0-2.mga3
+ Revision: 362930
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 23 2011 jquelin <jquelin> 1.100.0-1.mga1
+ Revision: 33573
- mageia rebuild
- cleaning spec file
- imported package perl-AnyEvent-AIO


* Wed Feb 10 2010 Jérôme Quelin <jquelin@mandriva.org> 1.100.0-1mdv2010.1
+ Revision: 503921
- rebuild using %%perl_convert_version

* Sun Aug 02 2009 Götz Waschk <waschk@mandriva.org> 1.1-1mdv2010.0
+ Revision: 407572
- new version
- use perl version macro

* Fri Aug 08 2008 Thierry Vignaud <tv@mandriva.org> 1.0-3mdv2009.0
+ Revision: 268362
- rebuild early 2009.0 package (before pixel changes)

* Mon Jun 09 2008 Götz Waschk <waschk@mandriva.org> 1.0-2mdv2009.0
+ Revision: 217080
- add exception to make it installable

* Mon Jun 09 2008 Götz Waschk <waschk@mandriva.org> 1.0-1mdv2009.0
+ Revision: 217056
- import perl-AnyEvent-AIO


